Package oracle.dbtools.plugin.api.cmdline.annotations

## Annotation Type Command

-     @Retention(RUNTIME)
      @Documented
      @Target(TYPE)
      public @interface Command

  Describes a command line command
  Author:
    cdivilly

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `TranslatableText` | `description` | The command description
    `java.lang.String` | `name` | The command name

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `Argument[]` | `arguments` | Command Arguments
    `boolean` | `documented` | Indicates if the command is documented
    `Option[]` | `options` | Command Options
    `boolean` | `processArgs` | Indicates that the command wishes to consume the command line arguments itself, without using `options()` or `arguments()`

- - ### Element Detail

    - #### name

          java.lang.String name

      The command name
      Returns:
        command name

  - - #### description

          TranslatableText description

      The command description
      Returns:
        command description

  - - #### documented

          boolean documented

      Indicates if the command is documented
      Returns:
        true if the command is documented, false otherwise
      Default:
        true

  - - #### options

          Option[] options

      Command Options
      Returns:
        The command `Option`s
      Default:
        {}

  - - #### arguments

          Argument[] arguments

      Command Arguments
      Returns:
        The command `Argument`s
      Default:
        {}

  - - #### processArgs

          boolean processArgs

      Indicates that the command wishes to consume the command line arguments itself, without using `options()` or `arguments()`
      Returns:
        true if this Command wants to process the command line arguments itself
      Since:
        20.2
      Default:
        false